#![allow(non_snake_case, unused)]

use console_error_panic_hook;
use info_werefox_cafe::info_app;

// TODO: Replace this, as it doesn't play nicely with dioxus fullstack.
// use wasm_logger;
use dioxus::prelude::*;

fn main() {
    // init debug tool for WebAssembly
    // wasm_logger::init(wasm_logger::Config::default());
    console_error_panic_hook::set_once();

    let cfg = server_only!(
        dioxus::fullstack::Config::new().addr(std::net::SocketAddr::from(([0, 0, 0, 0], 8471)))
    );

    LaunchBuilder::fullstack()
        .with_cfg(cfg)
        .launch(info_app::DioxusApp);
}
